MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024992Community[OCCT] OCCT:Codingpublic2014-06-06 07:122014-11-11 12:57
Reporterguidovanhilst 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024992: missing implementation for GeomConvert_CompCurveToBSplineCurve::Clear()
DescriptionThe issue has been reported by guidovanhilst on OCCT dev forum
(http://dev.opencascade.org/index.php?q=node/974 [^]):

In GeomConvert_CompCurveToBSplineCurve ,in the header file, there is a definition for the function "Clear()", but linker is complaining that this function is not in the lib.
I looked in the source and indeed could not find it? Is it obsolete?

GeomConvert_CompCurveToBSplineCurve::Clear()

TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029722)
abv (manager)
2014-06-06 07:19

Fix pushed to CR24992
(0030478)
kgv (developer)
2014-07-29 21:08

Please re-base / check compilation and integrate.
(0030493)
git (administrator)
2014-07-30 14:44

Branch CR24992 has been updated forcibly by apv.

SHA-1: 8ea07c6460f7445b413101a08a73cd2a3361df0c
(0030495)
apv (tester)
2014-07-30 17:56

Dear BugMaster,

Branch CR24992 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 8ea07c6460f7445b413101a08a73cd2a3361df0c

Number of compiler warnings:
occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 196 (196 on master)
products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)
(0030824)
git (administrator)
2014-08-18 11:07

Branch CR24992 has been deleted by inv.

SHA-1: 8ea07c6460f7445b413101a08a73cd2a3361df0c

- Related Changesets
occt: master 2961777a
Timestamp: 2014-06-06 03:19:19
Author: abv
Committer: bugmaster
Details ] Diff ]
0024992: missing implementation for GeomConvert_CompCurveToBSplineCurve::Clear()

Method GeomConvert_CompCurveToBSplineCurve::Clear() implemented
mod - src/GeomConvert/GeomConvert_CompCurveToBSplineCurve.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-06 07:12 abv New Issue
2014-06-06 07:12 abv Assigned To => kgv
2014-06-06 07:19 abv Note Added: 0029722
2014-06-06 07:19 abv Reporter abv => guidovanhilst
2014-06-06 07:19 abv Status new => resolved
2014-07-29 21:08 kgv Note Added: 0030478
2014-07-29 21:08 kgv Assigned To kgv => bugmaster
2014-07-29 21:08 kgv Severity minor => trivial
2014-07-29 21:08 kgv Status resolved => reviewed
2014-07-30 14:44 git Note Added: 0030493
2014-07-30 17:54 apv Test case number => Not needed
2014-07-30 17:56 apv Note Added: 0030495
2014-07-30 17:56 apv Status reviewed => tested
2014-08-01 14:55 bugmaster Changeset attached => occt master 2961777a
2014-08-01 14:55 bugmaster Status tested => verified
2014-08-01 14:55 bugmaster Resolution open => fixed
2014-08-18 11:07 git Note Added: 0030824
2014-11-11 12:45 user533 Fixed in Version => 6.8.0
2014-11-11 12:57 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker